Summary: Trustix GPG sign keys for Sunchild (Trustix 2.2)
Name: tsl-gpgkeys-sunchild
Version: 2.2
Release: 1tr
License: GPL
Group: Trustix Official
Source1: trustix-sunchild.pub.gpg
Source2: trustix-sunchild-testing.pub.gpg
Source3: trustix-sunchild-contrib.pub.gpg
Source4: trustix-devel.pub.gpg
PreReq: swup
Provides: tsl-gpgkeys
Obsoletes: tsl-gpgkeys-horizon
BuildRoot: %{_tmppath}/%{name}-root

%description
This package contains the GPG keys used to sign packages and rdfs. It is used
by swup to verify that the packages and rdfs found on the official Trustix 
sites and mirrors are correct.

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/%{name}/

%post
/usr/bin/swup --import-key %{_datadir}/%{name}/trustix-sunchild.pub.gpg \
	--ignore-lock

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root,0755)
%{_datadir}/%{name}

%changelog
* Tue Mar 16 2004 Chr. Toldnes <christht at trustix dot org> 2.1-3tr
- added --ignore-lock in %pre

* Fri Feb 27 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1-1tr
- Added TSL devel key.

* Fri Jan 23 2004 Chr. Toldnes <christht at trustix dot org> 1.0-2tr
- 3 -> 2.1

* Thu Jan 22 2004 Chr. Toldnes <christht at trustix dot org> 1.0-1tr
- Initial release, this package should go into the base group during install
